petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateCGNS

Create a DMPlex mesh from a CGNS file ID.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateCGNS(MPI_Comm comm, PetscInt cgid, PetscBool interpolate, DM *dm)

Collective on comm

### Input Parameters

| comm | - The MPI communicator
| cgid | - The CG id associated with a file and obtained using cg_open
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

Note: http://www.grc.nasa.gov/WWW/cgns/CGNS_docs_current/index.html

### Keywords

mesh,CGNS

### See Also

DMPlexCreate(), DMPlexCreateExodus()

### Level

beginner

### Location

src/dm/impls/plex/plexcgns.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages